package com.css.simulation.resource.scheduler.configuration.custom;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "custom")
public class CustomConfiguration {
    private String clientId;
    private String clientSecret;
    private String tokenUri;
    private String evaluationLevelUri;
    private String projectDetailsUri;
    private String projectReportUri;
    private String temporaryDirectory;
    private String uploadOsgbUrl;
    private String generateVideoUrl;
}
