package com.css.simulation.resource.scheduler.configuration.docker;

import com.css.simulation.resource.scheduler.data.model.DockerNodeModel;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "docker")
@Data
public class DockerConfiguration {
    private String registry;
    private String registryVolume;
    private Integer maxAlgorithmImage;
    private Integer minAlgorithmImage;
    private List<DockerNodeModel> nodeList;
}
