package com.css.simulation.resource.scheduler.configuration.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.vo.project.ProjectDetailsVO;
import com.css.simulation.resource.scheduler.configuration.feign.WebServerClient;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

@Component
@Service
public class WebServerClientFallBack implements WebServerClient {

    @Override
    public ResponseBodyVO<ProjectDetailsVO> selectProjectDetailsByIdForScheduler(@RequestBody SimulationManualProjectParam param) {
        return null;
    }
}
