package com.css.simulation.resource.scheduler.data.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IndexTemplateEntity {

    private String indexId;
    private String sceneNaturalIds;
    private String sceneTrafficIds;
    private String sceneStatueIds;
    private String sceneGeneralizationIds;
    private String weight;  // 权重
    private String parentId;  // 父指标 id
    private String rootId;  // 场景测试包 id
    private String ruleName; // 打分规则名称，例如 AEB_1-1
    private String ruleDetails; // 打分规则代码
    private Double tempScore;
    private Integer packageLevel; // 指标等级
    private String ruleId; // 指标等级

    @Override
    public String toString() {
        return "IndexTemplatePO{" +
                "indexId='" + indexId + '\'' +
                ", sceneNaturalIds='" + sceneNaturalIds + '\'' +
                ", sceneTrafficIds='" + sceneTrafficIds + '\'' +
                ", sceneStatueIds='" + sceneStatueIds + '\'' +
                ", sceneGeneralizationIds='" + sceneGeneralizationIds + '\'' +
                ", weight='" + weight + '\'' +
                ", parentId='" + parentId + '\'' +
                ", rootId='" + rootId + '\'' +
                ", ruleName='" + ruleName + '\'' +
                ", tempScore=" + tempScore +
                ", packageLevel=" + packageLevel +
                ", ruleId='" + ruleId + '\'' +
                '}';
    }
}
