package com.css.simulation.resource.scheduler.data.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NodeModel implements Cloneable {
    private String hostname;
    private String ip;
    private Integer parallelism;

    @Override
    public NodeModel clone() {
        try {
            // TODO: copy mutable state here, so the clone can't change the internals of the original
            return (NodeModel) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
    }
}
